<?xml version="1.0"?>
<!DOCTYPE greeter SYSTEM "greeter.dtd">
<greeter>
  <!-- This is the background color -->
  <item type="rect">
    <normal color="#20305a"/>
    <pos x="0" y="0" width="100%" height="100%"/>
  </item>

  <!-- This is the bottom row of buttons -->
  <item type="rect">
    <pos x="0" y="-50" width="100%" height="50"/>
    <box orientation="horizontal" spacing="10" xpadding="10">
      <item type="rect" id="language_button" button="true">
	<pos y="50%" anchor="w" width="box" height="box"/>
        <box orientation="horizontal" spacing="2" xpadding="10">
	  <item type="pixmap">
	    <normal file="icon-language.png"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: _Language -->
	    <stock type="language"/>
	  </item>
        </box>
      </item>
      <item type="rect" id="session_button" button="true">
	<pos y="50%" anchor="w" width="box" height="box"/>
        <box orientation="horizontal" spacing="2" xpadding="10">
	  <item type="pixmap">
	    <normal file="icon-session.png"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: _Session -->
	    <stock type="session"/>
	  </item>
        </box>
      </item>
      <item type="rect" id="reboot_button" button="true">
	<show modes="console" type="reboot"/>
	<pos y="50%" anchor="w" width="box" height="box"/>
        <box orientation="horizontal" spacing="2" xpadding="10">
	  <item type="pixmap">
	    <normal file="icon-reboot.png"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: _Reboot -->
            <!-- FIXME: 2.4.1.x does not have the "reboot" stock label yet -->
            <_text>_Reboot</_text>
	  </item>
	</box>
      </item>
      <item type="rect" id="halt_button" button="true">
	<show modes="console" type="halt"/>
	<pos y="50%" anchor="w" width="box" height="box"/>
        <box orientation="horizontal" spacing="2" xpadding="10">
	  <item type="pixmap">
	    <normal file="icon-shutdown.png"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: Shut_down -->
            <!-- FIXME: 2.4.1.x does not have the "halt" stock label yet -->
            <_text>Shut_down</_text>
	  </item>
	</box>
      </item>
      <item type="rect" id="disconnect_button" button="true">
        <normal/>
	<show modes="flexi,remote"/>
	<pos y="50%" anchor="w" width="box" height="box"/>
	<box orientation="horizontal" spacing="2" xpadding="10">
	  <item type="pixmap">
	    <normal file="icon-shutdown.png"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: D_isconnect -->
	    <stock type="disconnect"/>
	    <show modes="remote"/>
	  </item>
	  <item type="label">
	    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	    <prelight color="#dddeff" font="Bitstream Vera Sans Bold 12"/>
	    <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <pos y="50%" anchor="w"/>
	    <!-- Stock label for: _Quit -->
	    <stock type="quit"/>
	    <show modes="flexi"/>
	  </item>
        </box>
      </item>
    </box>
  </item>

  <!-- This is the box in the bottom right -->
  <item type="rect">
    <pos x="-20" y="-20" anchor="se" width="box" height="box"/>
    <box orientation="horizontal">
      <item type="rect">
        <pos x="50%" anchor="n" width="box" height="box"/>
        <box orientation="vertical">
          <item type="pixmap">
	    <normal file="curve-top_left.png" alpha="0.15"/>
            <pos x="50%" anchor="n"/>
          </item>
          <item type="rect">
	    <normal color="#000000" alpha="0.15"/>
            <pos x="50%" anchor="n" height="50" width="10"/>
          </item>
          <item type="pixmap">
	    <normal file="curve-bottom_left.png" alpha="0.15"/>
            <pos x="50%" anchor="n"/>
          </item>
        </box>
      </item>
      <item type="rect">
        <normal color="#000000" alpha="0.15"/>
        <pos x="50%" anchor="n" width="box" height="70"/>
        <box orientation="vertical" spacing="2" xpadding="10" ypadding="10">
          <item type="label">
            <normal color="#ffffff" font="Bitstream Vera Sans Bold Oblique 12"/>
            <active color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
            <pos x="50%" anchor="n"/>
            <text>%h</text>
          </item>
          <item type="label" id="clock">
            <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
            <active color="#9c9db4" font="Bitstream Vera Sans Bold Oblique 12"/>
            <pos x="50%" anchor="n"/>
            <text>%c</text>
          </item>
        </box>
      </item>
      <item type="rect">
        <pos x="50%" anchor="n" width="box" height="box"/>
        <box orientation="vertical">
          <item type="pixmap">
	    <normal file="curve-top_right.png" alpha="0.15"/>
            <pos x="50%" anchor="n"/>
          </item>
          <item type="rect">
	    <normal color="#000000" alpha="0.15"/>
            <pos x="50%" anchor="n" height="50" width="10"/>
          </item>
          <item type="pixmap">
	    <normal file="curve-bottom_right.png" alpha="0.15"/>
            <pos x="50%" anchor="n"/>
          </item>
        </box>
      </item>
    </box>
  </item>

  <!-- Caps lock warning label -->
  <item type="label" id="caps-lock-warning">
    <pos anchor="c" x="50%" y="80%" width="box" height="box"/>
    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
    <!-- Stock label for: You've got capslock on! -->
    <stock type="caps-lock-warning"/>
  </item>

  <!-- Timed label for timed logins -->
  <item type="label" id="timed-label">
    <show type="timed"/>
    <pos anchor="c" x="50%" y="20%" width="box" height="box"/>
    <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
    <!-- Stock label for: User %s will login in %d seconds -->
    <stock type="timed-label"/>
  </item>

  <!-- This is the box where we ask for login name and password
       and such -->
  <item type="rect">
    <pos anchor="c" x="50%" y="45%" width="100%" height="box"/>
    <box orientation="vertical" min-width="300" spacing="10">
      <item type="pixmap">
        <pos anchor="n" x="50%"/>
        <normal file="rh_logo-header.png"/>
      </item>
      <item type="rect">
        <pos anchor="n" x="50%" width="100%" height="box"/>
	<box orientation="horizontal" spacing="10" homogeneous="true">
          <item type="label" id="pam-prompt">
            <pos anchor="e" x="85%" y="50%"/>
            <normal color="#ffffff" font="Bitstream Vera Sans Bold 12"/>
	    <!-- Stock label for: Username: -->
	    <stock type="username-label"/>
          </item>
	  <item type="entry" id="user-pw-entry">
            <pos anchor="w" x="-15%" y="50%" height="24" width="250"/>
	  </item>
        </box>
      </item>

      <!-- padding -->
      <item type="rect">
        <pos height="20"/>
      </item>

      <!-- This is for short messages from the daemon -->
      <item type="label" id="pam-message">
        <pos anchor="n" x="50%"/>
        <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	<_text>Please enter your username</_text>
      </item>

      <!-- This is for long error messages from the daemon -->
      <item type="label" id="pam-error">
        <pos anchor="n" x="50%" height="0"/>
        <normal color="#9c9db4" font="Bitstream Vera Sans Bold 12"/>
	<text></text>
      </item>

    </box>
  </item>
</greeter>


